// GuangfaInputPiece.java

package com.sifang.modules.partner.dto;

import java.util.List;

public class GuangfaInputPiece {
    /**
     * 房屋倾角
     */
    private String angle;
    /**
     * 房屋朝向
     */
    private String azimuth;
    private String bank_code;
    private String bank_name;
    private String building_height;
    private String business_type;
    private String capital;
    private String capital_number;
    private String completion_year;

    private String wdAngel;

    //平屋顶
    //屋面板厚度-平屋顶
    private String roofFaceThickness;
    //结构类型-平屋顶
    private String flatStructureType;

    //庭院
    //场地坡度-庭院
    private String courtyardSiteSlope;
    //地面类型-庭院
    private String courtyardGroundType;
    //地质情况-庭院
    private String courtyardGeologicalCondition;
    //围墙高度-庭院
    private String courtyardfenceHeight;

    //道路
    //场地坡度-道路
    private String roadSiteSlope;
    //地面类型-道路
    private String roadGroundType;
    //地质情况-道路
    private String roadGeologicalCondition;

    //广场
    //场地坡度-广场
    private String squareSiteSlope;
    //地面类型-广场
    private String squareGroundType;
    //地质情况-广场
    private String squareGeologicalCondition;

    //长廊
    //场地坡度-长廊
    private String lcCourtSiteSlope;
    //地面类型-长廊
    private String lcCourtGroundType;
    //地质情况-长廊
    private String lcCourtGeologicalCondition;

    //篮球场
    //场地坡度-篮球场
    private String bbCourtSiteSlope;
    //地面类型-篮球场
    private String bbCourtGroundType;
    //地址情况-篮球场
    private String bbCourtGeologicalCondition;

    /**
     * 组件规格
     */
    private String component_spec;
    private String longitude;
    private String latitude;
    private String perimeter_barrier;
    private String building_whole;
    private String distance_grid_access_point;
    private List<InputPieceComponent> componentList;
    /**
     * 设计容量：组件类型是'组件'的 规格×数量
     */
    private String design_capacity;
    private String design_drawings;
    /**
     * 组件数量
     */
    private String design_num;
    private String ew_length;
    private String filing_type;
    private String house_ownership; // 房产证明，个人客户使用
    private String house_ownership_dw; // 房产证明，单位客户使用
    private String ns_wide;
    private String partner;
    private String plan_type;
    private String project_code;
    private String repayment_method;
    private String roof_area;
    private String roof_photo_four;
    private String roof_photo_one;
    private String roof_photo_three;
    private String roof_photo_two;
    private String roof_type;
    private String survey_files;
    private String tss_bank_num_name;
    private String vr_roof_four;
    private String vr_roof_one;
    private String vr_roof_three;
    private String vr_roof_two;
    private String zjcs_img;
    private String zjhs_img;
    private String zjpb_img;
    private String zjzx_img;
    private String fw_img1;
    private String fw_img2;
    private String fw_img3;
    private String fw_img4;
    private String fw_img5;

    public String getWdAngel() {
        return wdAngel;
    }

    public void setWdAngel(String wdAngel) {
        this.wdAngel = wdAngel;
    }

    public String getRoofFaceThickness() {
        return roofFaceThickness;
    }

    public void setRoofFaceThickness(String roofFaceThickness) {
        this.roofFaceThickness = roofFaceThickness;
    }

    public String getFlatStructureType() {
        return flatStructureType;
    }

    public void setFlatStructureType(String flatStructureType) {
        this.flatStructureType = flatStructureType;
    }

    public String getCourtyardSiteSlope() {
        return courtyardSiteSlope;
    }

    public void setCourtyardSiteSlope(String courtyardSiteSlope) {
        this.courtyardSiteSlope = courtyardSiteSlope;
    }

    public String getCourtyardGroundType() {
        return courtyardGroundType;
    }

    public void setCourtyardGroundType(String courtyardGroundType) {
        this.courtyardGroundType = courtyardGroundType;
    }

    public String getCourtyardGeologicalCondition() {
        return courtyardGeologicalCondition;
    }

    public void setCourtyardGeologicalCondition(String courtyardGeologicalCondition) {
        this.courtyardGeologicalCondition = courtyardGeologicalCondition;
    }

    public String getCourtyardfenceHeight() {
        return courtyardfenceHeight;
    }

    public void setCourtyardfenceHeight(String courtyardfenceHeight) {
        this.courtyardfenceHeight = courtyardfenceHeight;
    }

    public String getRoadSiteSlope() {
        return roadSiteSlope;
    }

    public void setRoadSiteSlope(String roadSiteSlope) {
        this.roadSiteSlope = roadSiteSlope;
    }

    public String getRoadGroundType() {
        return roadGroundType;
    }

    public void setRoadGroundType(String roadGroundType) {
        this.roadGroundType = roadGroundType;
    }

    public String getRoadGeologicalCondition() {
        return roadGeologicalCondition;
    }

    public void setRoadGeologicalCondition(String roadGeologicalCondition) {
        this.roadGeologicalCondition = roadGeologicalCondition;
    }

    public String getSquareSiteSlope() {
        return squareSiteSlope;
    }

    public void setSquareSiteSlope(String squareSiteSlope) {
        this.squareSiteSlope = squareSiteSlope;
    }

    public String getSquareGroundType() {
        return squareGroundType;
    }

    public void setSquareGroundType(String squareGroundType) {
        this.squareGroundType = squareGroundType;
    }

    public String getSquareGeologicalCondition() {
        return squareGeologicalCondition;
    }

    public void setSquareGeologicalCondition(String squareGeologicalCondition) {
        this.squareGeologicalCondition = squareGeologicalCondition;
    }

    public String getLcCourtSiteSlope() {
        return lcCourtSiteSlope;
    }

    public void setLcCourtSiteSlope(String lcCourtSiteSlope) {
        this.lcCourtSiteSlope = lcCourtSiteSlope;
    }

    public String getLcCourtGroundType() {
        return lcCourtGroundType;
    }

    public void setLcCourtGroundType(String lcCourtGroundType) {
        this.lcCourtGroundType = lcCourtGroundType;
    }

    public String getLcCourtGeologicalCondition() {
        return lcCourtGeologicalCondition;
    }

    public void setLcCourtGeologicalCondition(String lcCourtGeologicalCondition) {
        this.lcCourtGeologicalCondition = lcCourtGeologicalCondition;
    }

    public String getBbCourtSiteSlope() {
        return bbCourtSiteSlope;
    }

    public void setBbCourtSiteSlope(String bbCourtSiteSlope) {
        this.bbCourtSiteSlope = bbCourtSiteSlope;
    }

    public String getBbCourtGroundType() {
        return bbCourtGroundType;
    }

    public void setBbCourtGroundType(String bbCourtGroundType) {
        this.bbCourtGroundType = bbCourtGroundType;
    }

    public String getBbCourtGeologicalCondition() {
        return bbCourtGeologicalCondition;
    }

    public void setBbCourtGeologicalCondition(String bbCourtGeologicalCondition) {
        this.bbCourtGeologicalCondition = bbCourtGeologicalCondition;
    }

    public String getFwImg1() {
        return fw_img1;
    }

    public void setFwImg1(String fw_img1) {
        this.fw_img1 = fw_img1;
    }

    public String getFwImg2() {
        return fw_img2;
    }

    public void setFwImg2(String fw_img2) {
        this.fw_img2 = fw_img2;
    }

    public String getFwImg3() {
        return fw_img3;
    }

    public void setFwImg3(String fw_img3) {
        this.fw_img3 = fw_img3;
    }

    public String getFwImg4() {
        return fw_img4;
    }

    public void setFwImg4(String fw_img4) {
        this.fw_img4 = fw_img4;
    }

    public String getFwImg5() {
        return fw_img5;
    }

    public void setFwImg5(String fw_img5) {
        this.fw_img5 = fw_img5;
    }

    public String getAngle() { return angle; }
    public void setAngle(String value) { this.angle = value; }

    public String getAzimuth() { return azimuth; }
    public void setAzimuth(String value) { this.azimuth = value; }

    public String getBankCode() { return bank_code; }
    public void setBankCode(String value) { this.bank_code = value; }

    public String getBankName() { return bank_name; }
    public void setBankName(String value) { this.bank_name = value; }

    public String getBuildingHeight() { return building_height; }
    public void setBuildingHeight(String value) { this.building_height = value; }

    public String getBusinessType() { return business_type; }
    public void setBusinessType(String value) { this.business_type = value; }

    public String getCapital() { return capital; }
    public void setCapital(String value) { this.capital = value; }

    public String getCapitalNumber() { return capital_number; }
    public void setCapitalNumber(String value) { this.capital_number = value; }

    public String getCompletionYear() { return completion_year; }
    public void setCompletionYear(String value) { this.completion_year = value; }

    public String getComponentSpec() { return component_spec; }
    public void setComponentSpec(String value) { this.component_spec = value; }

    public List<InputPieceComponent> getComponentList() { return componentList; }
    public void setComponentList(List<InputPieceComponent> value) { this.componentList = value; }

    public String getDesignCapacity() { return design_capacity; }
    public void setDesignCapacity(String value) { this.design_capacity = value; }

    public String getDesignDrawings() { return design_drawings; }
    public void setDesignDrawings(String value) { this.design_drawings = value; }

    public String getDesignNum() { return design_num; }
    public void setDesignNum(String value) { this.design_num = value; }

    public String getEwLength() { return ew_length; }
    public void setEwLength(String value) { this.ew_length = value; }

    public String getFilingType() { return filing_type; }
    public void setFilingType(String value) { this.filing_type = value; }

    public String getHouseOwnership() { return house_ownership; }
    public void setHouseOwnership(String value) { this.house_ownership = value; }

    public String getnsWide() { return ns_wide; }
    public void setnsWide(String value) { this.ns_wide = value; }

    public String getPartner() { return partner; }
    public void setPartner(String value) { this.partner = value; }

    public String getPlanType() { return plan_type; }
    public void setPlanType(String value) { this.plan_type = value; }

    public String getProjectCode() { return project_code; }
    public void setProjectCode(String value) { this.project_code = value; }

    public String getRepaymentMethod() { return repayment_method; }
    public void setRepaymentMethod(String value) { this.repayment_method = value; }

    public String getRoofArea() { return roof_area; }
    public void setRoofArea(String value) { this.roof_area = value; }

    public String getRoofPhotoFour() { return roof_photo_four; }
    public void setRoofPhotoFour(String value) { this.roof_photo_four = value; }

    public String getRoofPhotoOne() { return roof_photo_one; }
    public void setRoofPhotoOne(String value) { this.roof_photo_one = value; }

    public String getRoofPhotoThree() { return roof_photo_three; }
    public void setRoofPhotoThree(String value) { this.roof_photo_three = value; }

    public String getRoofPhotoTwo() { return roof_photo_two; }
    public void setRoofPhotoTwo(String value) { this.roof_photo_two = value; }

    public String getRoofType() { return roof_type; }
    public void setRoofType(String value) { this.roof_type = value; }

    public String getSurveyFiles() { return survey_files; }
    public void setSurveyFiles(String value) { this.survey_files = value; }

    public String getTssBankNumName() { return tss_bank_num_name; }
    public void setTssBankNumName(String value) { this.tss_bank_num_name = value; }

    public String getvrRoofFour() { return vr_roof_four; }
    public void setvrRoofFour(String value) { this.vr_roof_four = value; }

    public String getvrRoofOne() { return vr_roof_one; }
    public void setvrRoofOne(String value) { this.vr_roof_one = value; }

    public String getvrRoofThree() { return vr_roof_three; }
    public void setvrRoofThree(String value) { this.vr_roof_three = value; }

    public String getvrRoofTwo() { return vr_roof_two; }
    public void setvrRoofTwo(String value) { this.vr_roof_two = value; }

    public String getZjcsImg() { return zjcs_img; }
    public void setZjcsImg(String value) { this.zjcs_img = value; }

    public String getZjhsImg() { return zjhs_img; }
    public void setZjhsImg(String value) { this.zjhs_img = value; }

    public String getZjpbImg() { return zjpb_img; }
    public void setZjpbImg(String value) { this.zjpb_img = value; }

    public String getZjzxImg() { return zjzx_img; }
    public void setZjzxImg(String value) { this.zjzx_img = value; }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getPerimeterBarrier() {
        return perimeter_barrier;
    }

    public void setPerimeterBarrier(String perimeterBarrier) {
        this.perimeter_barrier = perimeterBarrier;
    }

    public String getBuildingWhole() {
        return building_whole;
    }

    public void setBuildingWhole(String buildingWhole) {
        this.building_whole = buildingWhole;
    }

    public String getDistanceGridAccessPoint() {
        return distance_grid_access_point;
    }

    public void setDistanceGridAccessPoint(String distanceGridAccessPoint) {
        this.distance_grid_access_point = distanceGridAccessPoint;
    }

    public String getHouseOwnershipDw() {
        return house_ownership_dw;
    }

    public void setHouseOwnershipDw(String house_ownership_dw) {
        this.house_ownership_dw = house_ownership_dw;
    }
}
